Skip to content

Extra cost ​

INFO

Every response arrives in the shared envelope — code, message, messages, status_code, time — with the payload in data. The tables below describe what is inside data.

POST /extra-cost/create ​

This method allows adding extra-cost into the account.

Request body

FieldTypeRequiredDescription
namestringYes
is_affect_pricebooleanYesDefault: false
distribution_methodstringYesOne of: byPrice, byAmount, byGrossWeight, byVolume, manual. Default: "byPrice"
recommended_amountnumberYesDefault: 0
max_amountnumberYesDefault: 0
currency_idstringYes
payment_type_idstringYes
user_typestringNoOne of: supplier, employee, customer, person, other. Default: "supplier"
customer_idstringNo
supplier_idstringNo
employee_idstringNo
person_idstringNo
statusstringYesOne of: active, inactive. Default: "active"
notestringNo
json
{
  "name": "string",
  "is_affect_price": false,
  "distribution_method": "byPrice",
  "recommended_amount": 0,
  "max_amount": 0,
  "currency_id": "646b0c2f3d4e1a001f8b4567",
  "payment_type_id": "646b0c2f3d4e1a001f8b4567",
  "user_type": "supplier",
  "customer_id": "646b0c2f3d4e1a001f8b4567",
  "supplier_id": "646b0c2f3d4e1a001f8b4567",
  "employee_id": "646b0c2f3d4e1a001f8b4567",
  "person_id": "646b0c2f3d4e1a001f8b4567",
  "status": "active",
  "note": "string"
}

Response

FieldTypeDescription
namestring
is_affect_priceboolean
distribution_methodstring
amountnumber
should_create_transactionboolean
recommended_amountnumber
max_amountnumber
notestring
statusstringOne of: active, inactive
payment_typeobject
payment_type._idstring
payment_type.namestring
payment_type.user_typestring
currency_idstring
currencyobject
currency._idstring
currency.namestring
updated_by_userobject
updated_by_user._idstring
updated_by_user.full_namestring
created_by_userobject
created_by_user._idstring
created_by_user.full_namestring
employeeobject
employee._idstring
employee.full_namestring
customerobject
customer._idstring
customer.namestring
supplierobject
supplier._idstring
supplier.namestring
personobject
person._idstring
person.namestring
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "name": "string",
    "is_affect_price": false,
    "distribution_method": "string",
    "amount": 0,
    "should_create_transaction": false,
    "recommended_amount": 0,
    "max_amount": 0,
    "note": "string",
    "status": "active",
    "payment_type": {
      "_id": "string",
      "name": "string",
      "user_type": "string"
    },
    "currency_id": "string",
    "currency": {
      "_id": "string",
      "name": "string"
    },
    "updated_by_user": {
      "_id": "string",
      "full_name": "string"
    },
    "created_by_user": {
      "_id": "string",
      "full_name": "string"
    },
    "employee": {
      "_id": "string",
      "full_name": "string"
    },
    "customer": {
      "_id": "string",
      "name": "string"
    },
    "supplier": {
      "_id": "string",
      "name": "string"
    },
    "person": {
      "_id": "string",
      "name": "string"
    }
  },
  "time": "2025-05-01T12:00:00Z"
}

PUT /extra-cost/update ​

This method allows updating extra-cost in the account.

Request body

FieldTypeRequiredDescription
_idstringYes
namestringYes
is_affect_pricebooleanYesDefault: false
distribution_methodstringYesOne of: byPrice, byAmount, byGrossWeight, byVolume, manual. Default: "byPrice"
recommended_amountnumberYesDefault: 0
max_amountnumberYesDefault: 0
currency_idstringYes
payment_type_idstringYes
user_typestringNoOne of: supplier, employee, customer, person, other. Default: "supplier"
customer_idstringNo
supplier_idstringNo
employee_idstringNo
person_idstringNo
statusstringYesOne of: active, inactive. Default: "active"
notestringNo
json
{
  "_id": "646b0c2f3d4e1a001f8b4567",
  "name": "string",
  "is_affect_price": false,
  "distribution_method": "byPrice",
  "recommended_amount": 0,
  "max_amount": 0,
  "currency_id": "646b0c2f3d4e1a001f8b4567",
  "payment_type_id": "646b0c2f3d4e1a001f8b4567",
  "user_type": "supplier",
  "customer_id": "646b0c2f3d4e1a001f8b4567",
  "supplier_id": "646b0c2f3d4e1a001f8b4567",
  "employee_id": "646b0c2f3d4e1a001f8b4567",
  "person_id": "646b0c2f3d4e1a001f8b4567",
  "status": "active",
  "note": "string"
}

Response

Same response shape as POST /extra-cost/create.

DELETE /extra-cost/delete/{id} ​

Delete a extra-cost

Path parameters

ParameterTypeRequiredDescription
idstringYes

Request body

No request body.

Response

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": "ok",
  "time": "2025-05-01T12:00:00Z"
}

GET /extra-cost/get-all ​

Get all extra-costs

Query parameters

ParameterTypeRequiredDescription
statusstringNoOne of: active, inactive
distribution_method_nestringNoOne of: byPrice, byAmount, byGrossWeight, byVolume, manual

Request body

No request body.

Response

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": [
    {
      "name": "string",
      "is_affect_price": false,
      "distribution_method": "string",
      "amount": 0,
      "should_create_transaction": false,
      "recommended_amount": 0,
      "max_amount": 0,
      "note": "string",
      "status": "active",
      "payment_type": {
        "_id": "string",
        "name": "string",
        "user_type": "string"
      },
      "currency_id": "string",
      "currency": {
        "_id": "string",
        "name": "string"
      },
      "updated_by_user": {
        "_id": "string",
        "full_name": "string"
      },
      "created_by_user": {
        "_id": "string",
        "full_name": "string"
      },
      "employee": {
        "_id": "string",
        "full_name": "string"
      },
      "customer": {
        "_id": "string",
        "name": "string"
      },
      "supplier": {
        "_id": "string",
        "name": "string"
      },
      "person": {
        "_id": "string",
        "name": "string"
      }
    }
  ],
  "time": "2025-05-01T12:00:00Z"
}

GET /extra-cost/get-by-id/{id} ​

Get extra-cost using its _id

Path parameters

ParameterTypeRequiredDescription
idstringYes

Request body

No request body.

Response

Same response shape as POST /extra-cost/create.

GET /extra-cost/get-deleted ​

Get deleted extra-cost ids

Query parameters

ParameterTypeRequiredDescription
deleted_atstringYes

Request body

No request body.

Response

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": [
    "string"
  ],
  "time": "2025-05-01T12:00:00Z"
}

POST /extra-cost/get-paging ​

Get extra-cost by paging

Request body

FieldTypeRequiredDescription
pagenumberYesDefault: 1
limitnumberYesDefault: 20
searchstringNo
distribution_method_nestringNoOne of: byPrice, byAmount, byGrossWeight, byVolume, manual. Default: "byPrice"
statusstringNoOne of: active, inactive
json
{
  "page": 1,
  "limit": 20,
  "search": "string",
  "distribution_method_ne": "byPrice",
  "status": "active"
}

Response

FieldTypeDescription
codenumbersystem code of response. Default: 0
messagestring
status_codenumberstatus code of response. Default: 200
messagesobject
messages.uzstring
messages.rustring
messages.enstring
timestring (date-time)time of response
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "code": 0,
    "message": "Success",
    "status_code": 200,
    "messages": {
      "uz": "Muvaffaqiyatli",
      "ru": "Успешно",
      "en": "Successful"
    },
    "time": "2025-05-01T12:00:00Z"
  },
  "time": "2025-05-01T12:00:00Z"
}

This page is generated from the OpenAPI spec.

Bito 2.0 Integration API